<div style="margin-top: 20px;">
	<h5>
		<span>List Reference Penerimaan BPKB & STNK</span>
	</h5>

	<div class="row margin-row">
		<div class="col-md-12">
			<div class="pull-right">
				<!-- <a class="btn btn-primary" [routerLink]="['../input']" >Tambah Reference Baru</a> -->
				<button [routerLink]="['../input']"(click)="updateReference(null)" type="button" class="btn btn-primary">
					<span>Tambah Reference Baru</span>
				</button>
				<a class="btn" [routerLink]="['..']" >Kembali</a>
			</div>
		</div>
	</div>

	<p-dataTable
		[value]="listRefferences"
		[editable]="true"
		[rows]="itemsPerPage"
		[paginator]="true"
		[pageLinks]="5"
		[rowsPerPageOptions]="[10,15,20]"
		[totalRecords]="totalItems"
		[responsive]="true"
		[lazy]="true"
		dataKey="refNumber"
		expandableRows="false"
		(onLazyLoad)="loadDataLazy($event)"
		(onEditComplete)="updateRowData($event)">
		<p-header>

		</p-header>
		<!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
		<p-column header="{{'mpmApp.vehicleDocumentRequirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
			<ng-template let-rowIndex="rowIndex" pTemplate="body">
				{{rowIndex + 1}}
			</ng-template>
		</p-column>
		<p-column header="Tgl. Reference">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.refDate | date:'dd-MM-yyyy'}}
			</ng-template>
		</p-column>
		<p-column header="No. Reference">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.refNumber}}
			</ng-template>
		</p-column>
		<p-column header="Biro Jasa">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.idVendor}}
			</ng-template>
		</p-column>
		<p-column header="Qty Terima">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.receiptQty}}
			</ng-template>
		</p-column>
		<p-column header="Qty Input">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.inputQty}}
			</ng-template>
		</p-column>
		<p-column header="{{'mpmApp.vehicleDocumentRequirement.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
			<ng-template let-rowData="rowData" pTemplate="body">
				<!-- <a>Update</a> -->
				<button [routerLink]="['../input']"(click)="updateReference(rowData)" type="button" class="btn btn-primary">
					<span>Update</span>
				</button>
			</ng-template>
		</p-column>
		<ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
		</ng-template>
	</p-dataTable>

</div>
<div style="margin-top: 10px;"></div>

<!-- <p-confirmDialog></p-confirmDialog> -->